%
%=======================================================================
% power-spec.tex
%-----------------------------------------------------------------------

\documentclass[twoside,11pt]{book}

% Fix copy/pasting of ligatures in Acrobat
\input{glyphtounicode.tex}
\pdfgentounicode=1 %

\input{preamble}

\begin{document}

\title{\vspace{-0.7in}\Large {\bf Additions to The PowerPC Instruction Set Manual} \\
  \large {\bf Libre-SOC Extensions} \\
  Document Version \specrev
  \vspace{-0.1in} \\
\vspace{1in} \Huge{\textbf{This document is draft}} \\
This means that: it is not complete, it may contain outrageous errors,
it may knot bee speled write, parts may be in the wrong order, updates will
come at strange intervals and may make things worse.
No liability will be accepted for any use of the draft document contents.
% When the draft notice is removed - remember to remove draft/watermark at the top of the preamble
}

\author{Editor: Alain D D Williams$^{1}$ \\
  $^{1}$Parliament Hill Computers Ltd, \\
  {\tt addw@phcomp.co.uk} \\
  \today
}
\date{} 
\maketitle

Contributors to all versions of the spec in
alphabetical order (please contact editors to suggest
corrections):
Luke Kenneth Casson Leighton, Jacob R Lifshay, Alain D D Williams

This document is released under a Creative Commons Attribution 4.0
International License.

Please cite as: ``The PowerPC Instruction Set Additions, Document Version \specrev'', Editor
Alain Williams, Libre-SOC, \specmonthyear.


\markboth{PowerPC ISAMUX \specrev: Volume I}
{PowerPC ISAMUX \specrev: Volume I}

\thispagestyle{empty}

\frontmatter

\input{preface}

{\hypersetup{linktoc=all,hidelinks}
\tableofcontents
}

\mainmatter

% These will need to be sorted - put into an order than helps understanding
\input{intro}
\input{conventions}


\input{isamux}
\input{atomics}
\input{varenc}
\input{isa_op_protocol}
% https://bugs.libre-soc.org/show_bug.cgi?id=238
\input{fp16}
\input{SVPrefix}

% \input{rv32}
% \input{zifencei}
% \input{rv32e}
% \input{rv64}
% \input{rv128}
% \input{m}
% \input{a}
% \input{csr}
% \input{counters}
% \input{f}
% \input{d}
% \input{q}
% \input{rvwmo}
% \input{l}
% \input{c}
% \input{b}
% \input{j}
% \input{t}
% \input{p}
% \input{v}
% \input{zam}
% \input{ztso}
% \input{gmaps}
% \input{assembly}
% \input{extensions}
% \input{naming}
% \input{history}
% 
% \appendix
% \input{memory}

\bibliographystyle{plain}
\bibliography{power-spec}

\input{printglossaries}

\end{document}
